Skip to main content
POST
/
subscriptions
/
checkout
Create checkout session
curl --request POST \
  --url https://api.veryfront.com/subscriptions/checkout \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "pro",
  "cycle": "monthly",
  "success_url": "<string>",
  "cancel_url": "<string>"
}
'
{
  "checkout_url": "<string>",
  "session_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://veryfront.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Body

application/json
type
enum<string>
required

Subscription tier. "professional" is an alias for "pro".

Available options:
free,
pro,
enterprise,
professional
Example:

"pro"

cycle
enum<string>
required

Billing cycle

Available options:
monthly,
yearly
Example:

"monthly"

success_url
string<uri>

URL to redirect to after successful payment

cancel_url
string<uri>

URL to redirect to if payment is cancelled

Response

Checkout session created

checkout_url
string<uri>
required

Stripe checkout URL

session_id
string

Checkout session ID, when returned